com.sap.core.connectivity.api.http

## Interface HttpDestination

- All Superinterfaces:
    Destination

      public interface HttpDestination
      extends Destination

  `HttpDestination` interface provides instances of the `HttpClient` which are responsible for authenticating the requests to the remote systems according to the destination configuration.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpClient` | `createHttpClient()` A method to obtain an instance of `HttpClient` with the corresponding configuration at the time of the method call.
    `URI` | `getURI()` Returns the value of the URL property in the destination configuration this `HttpDestination` instance is referring to.

    - ### Methods inherited from interface com.sap.core.connectivity.api.Destination

      `getName`

- - ### Method Detail

    - #### createHttpClient

          HttpClient createHttpClient()
                                      throws DestinationException

      A method to obtain an instance of `HttpClient` with the corresponding configuration at the time of the method call. Subsequent changes to the configuration of the destination will not affect the already created instances of `HttpClient` and the method should be called again instead.
      Returns:
        an instance of `HttpClient` which is responsible to authenticate the requests to the remote systems according the destination configuration.
      Throws:
        `DestinationException` - if the destination is not available anymore or the `HttpClient` cannot be created due to a configuration issue.

    - #### getURI

          URI getURI()
                     throws URISyntaxException

      Returns the value of the URL property in the destination configuration this `HttpDestination` instance is referring to. The returned value is converted to `java.net.URI` format.
      Returns:
        the URL specified in the destination configuration converted to `java.net.URI`.
      Throws:
        `URISyntaxException` - when the URL specified in the configuration cannot be presented as URI.

Copyright © 2018 SAP. All Rights Reserved.